MDI(1)

NAME
mdi - Send G-code commands from the terminal to the running LinuxCNC instance

SYNOPSIS
mdi

DESCRIPTION
mdi sends G-code commands to LinuxCNC. The command starts an envirmonemt in which G-code commands are sent to the interpreter and machine feedback is displayed.

USAGE

 send a single command and exit
 mdi m2 s1400

 interactive session
 $mdi
 MDI> m3 s1000
 MDI> G0 X100
 MDI> ^Z
 $stopped

SEE ALSO
LinuxCNC(1)

Much more information about LinuxCNC and HAL is available in the LinuxCNC and HAL User Manuals, found at /usr/share/doc/LinuxCNC/.

BUGS
None known at this time.

AUTHOR
This man page written by andypugh, as part of the LinuxCNC project.

REPORTING BUGS
Report bugs at https://github.com/LinuxCNC/linuxcnc/issues

COPYRIGHT
Copyright © 2020 andypugh.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.